- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CMPEG2Dec Class Reference

List of all members.

## Public Types
enum | DstFormat
## Public Member Functions
| CMPEG2Dec ()
| ~CMPEG2Dec ()
int | Open (const char *path, DstFormat)
void | Close ()
void | Decode (unsigned char *dst, DWORD frame, int pitch)
bool | dstRGB24 () const
bool | dstYUY2 () const
## Public Attributes
int | Clip_Width
int | Clip_Height
int | Resize_Width
int | Resize_Height
BOOL | Field_Order
BOOL | Full_Frame
FILE * | VF_File
int | VF_FrameRate
DWORD | VF_FrameLimit
DWORD | VF_FrameBound
DWORD | VF_GOPLimit
DWORD | VF_GOPNow
DWORD | VF_GOPSize
int | VF_FrameSize
DWORD | VF_OldFrame
DWORD | VF_OldRef
DstFormat | m_dstFormat
## Protected Member Functions
void | Initialize_Buffer ()
void | Fill_Buffer ()
void | Next_Packet ()
void | Flush_Buffer_All (unsigned int N)
unsigned int | Get_Bits_All (unsigned int N)
void | Next_File ()
unsigned int | Show_Bits (unsigned int N)
unsigned int | Get_Bits (unsigned int N)
void | Flush_Buffer (unsigned int N)
void | Fill_Next ()
unsigned int | Get_Byte ()
unsigned int | Get_Short ()
void | next_start_code ()
int | Get_Hdr ()
void | sequence_header ()
int | slice_header ()
void | Decode_Picture (int ref, unsigned char *dst, int pitch)
void | assembleFrame (unsigned char *src[], int pf, unsigned char *dst, int pitch)
void | Copyodd (unsigned char *src, unsigned char *dst, int pitch, int forward)
void | Copyeven (unsigned char *src, unsigned char *dst, int pitch, int forward)
## Protected Attributes
unsigned char | Rdbfr [BUFFER_SIZE]
unsigned char * | Rdptr
unsigned char * | Rdmax
unsigned int | CurrentBfr
unsigned int | NextBfr
unsigned int | BitsLeft
unsigned int | Val
unsigned int | Read
int | Fault_Flag
int | File_Flag
int | File_Limit
int | FO_Flag
int | IDCT_Flag
int | SystemStream_Flag
int | Luminance_Flag
int | Resize_Flag
int | KeyOp_Flag
int | lfsr0
int | lfsr1
PBufferOp | BufferOp
int | Infile [MAX_FILE_NUMBER]
char * | Infilename [MAX_FILE_NUMBER]
int | intra_quantizer_matrix [64]
int | non_intra_quantizer_matrix [64]
int | chroma_intra_quantizer_matrix [64]
int | chroma_non_intra_quantizer_matrix [64]
int | load_intra_quantizer_matrix
int | load_non_intra_quantizer_matrix
int | load_chroma_intra_quantizer_matrix
int | load_chroma_non_intra_quantizer_matrix
int | q_scale_type
int | alternate_scan
int | quantizer_scale
void * | fTempArray
void * | p_fTempArray
short * | block [8]
short * | p_block [8]
int | pf_backward
int | pf_forward
int | pf_current
unsigned char * | backward_reference_frame [3]
unsigned char * | forward_reference_frame [3]
unsigned char * | auxframe [3]
unsigned char * | current_frame [3]
unsigned char * | u422
unsigned char * | v422
unsigned char * | u444
unsigned char * | v444
unsigned char * | lum
unsigned char * | dstFrame
__int64 | RGB_Scale
__int64 | RGB_Offset
__int64 | RGB_CRV
__int64 | RGB_CBU
__int64 | RGB_CGX
__int64 | LumOffsetMask
__int64 | LumGainMask
int | HALF_WIDTH
int | PROGRESSIVE_HEIGHT
int | INTERLACED_HEIGHT
int | DOUBLE_WIDTH
int | HALF_WIDTH_D8
int | LUM_AREA
int | CLIP_AREA
int | HALF_CLIP_AREA
int | CLIP_STEP
int | DSTBYTES
int | DSTBYTES2
int | Coded_Picture_Width
int | Coded_Picture_Height
int | Chroma_Width
int | Chroma_Height
int | block_count
int | Second_Field
int | horizontal_size
int | vertical_size
int | mb_width
int | mb_height
int | progressive_sequence
int | chroma_format
int | picture_coding_type
int | temporal_reference
int | f_code [2][2]
int | picture_structure
int | frame_pred_frame_dct
int | progressive_frame
int | concealment_motion_vectors
int | intra_dc_precision
int | top_field_first
int | repeat_first_field
int | intra_vlc_format
GOPLIST * | GOPList [MAX_FRAME_NUMBER]
FRAMELIST * | FrameList [MAX_FRAME_NUMBER]
unsigned char * | GOPBuffer [MAX_GOP_SIZE]
HINSTANCE | hLibrary
## Classes
struct | FRAMELIST
struct | GOPLIST

## Detailed Description

Definition at line 82 of file MPEG2Dec.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/source/d2vsource/MPEG2Dec.h
- C:/guliverkli/src/filters/source/d2vsource/MPEG2Dec.cpp